unit _NetRemote_const;

interface

uses
  Windows, SysUtils;

{$WARN UNIT_PLATFORM OFF}
{$WARN SYMBOL_PLATFORM OFF}

type
  TStatusInfo=record
    MemSync:TMultiReadExclusiveWriteSynchronizer;
    PlayFilename,PlayTitle:string;
    CurrentPath:string;
    PlayTime:dword;
    DispClock:dword;
    TotalClock:dword;
    MesureClock:dword;
    LoopCount:integer;
    TimerBCount:byte;
    TotalVolume:word;
    TransTempo:integer;
    fPlay,fPause,fStop:boolean;
    PlayMode:integer;
    PlayIndex:integer;
  end;

const MDXWinRemoteVersion='MDXWinRemote Ver0.11';

const InterfaceVersion='NetRemote/0.04';

const gvInterface='Interface';
const gvServer='Server';

procedure ClearStatus(var StatusInfo:TStatusInfo);

implementation

procedure ClearStatus(var StatusInfo:TStatusInfo);
begin
  with StatusInfo do begin
    MemSync.BeginWrite;
    PlayFilename:='';
    PlayTitle:='';
    CurrentPath:='';
    PlayTime:=0;
    DispClock:=0;
    TotalClock:=0;
    MesureClock:=0;
    LoopCount:=0;
    TimerBCount:=0;
    TotalVolume:=0;
    TransTempo:=0;
    fPlay:=False;
    fPause:=False;
    fStop:=False;
    PlayMode:=0;
    MemSync.EndWrite;
  end;
end;

end.
